STRUCT TEMPLATE (3)

NAME
boost::proto::if_else_ - A metafunction for generating ternary conditional expression types, a grammar element for matching ternary conditional expressions, and a PrimitiveTransform that dispatches to the proto::pass_through<> transform.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename T, typename U, typename V>
struct if_else_ :  proto::transform< if_else_<T, U, V> > {
  // types
  typedef proto::expr< proto::tag::if_else_, proto::list3< T, U, V > >       type;
  typedef proto::basic_expr< proto::tag::if_else_, proto::list3< T, U, V > > proto_grammar;
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :
     proto::pass_through<if_else_>::template impl<Expr, State, Data>
  {
  };
};

DESCRIPTION